> For the complete documentation index, see [llms.txt](https://docs.isle.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.isle.finance/contract-documentation/loanmanagerstorage.md).

# LoanManagerStorage

[Git Source](https://github.com/isle-labs/isle-contract/blob/main/contracts/LoanManagerStorage.sol)

**Inherits:** [ILoanManagerStorage](/contract-documentation/interfaces/iloanmanagerstorage.md)

## State Variables

### loanCounter

```solidity
uint16 public override loanCounter;
```

### paymentCounter

```solidity
uint24 public override paymentCounter;
```

### paymentWithEarliestDueDate

```solidity
uint24 public override paymentWithEarliestDueDate;
```

### domainStart

```solidity
uint48 public override domainStart;
```

### domainEnd

```solidity
uint48 public override domainEnd;
```

### accountedInterest

```solidity
uint112 public override accountedInterest;
```

### principalOut

```solidity
uint128 public override principalOut;
```

### unrealizedLosses

```solidity
uint128 public override unrealizedLosses;
```

### issuanceRate

```solidity
uint256 public override issuanceRate;
```

### asset

```solidity
address public override asset;
```

### paymentIdOf

```solidity
mapping(uint16 => uint24) public override paymentIdOf;
```

### impairmentFor

```solidity
mapping(uint16 => Loan.Impairment) public impairmentFor;
```

### payments

```solidity
mapping(uint256 => Loan.PaymentInfo) public payments;
```

### sortedPayments

```solidity
mapping(uint256 => Loan.SortedPayment) public sortedPayments;
```

### liquidationInfoFor

```solidity
mapping(uint16 => Loan.LiquidationInfo) public liquidationInfoFor;
```

### \_loans

```solidity
mapping(uint16 => Loan.Info) internal _loans;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.isle.finance/contract-documentation/loanmanagerstorage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
